form {
  width: 600px;
  border: 0.5px solid #000;
  border-radius: 4px;
  margin: auto;
  padding: 8px;
}
.separator {
  display: block;
  width: 100%;
  height: 0.5px;
  background-color: #000;
  margin-bottom: 8px;
}
input, button {
  box-sizing: border-box;
  display: block;
  width: 100%;
  min-width: 0;
  margin-bottom: 8px;
}
button {
  text-align: center;
}
button:last-child {
  margin-bottom: 0;
}